package networkinference;

/**
 *
 * @author Ilias Foudalis
 */
import java.util.Vector;
import java.util.Hashtable;


public class Area {

    Vector<Integer> nodes = new Vector<Integer>();
    //Hashtable<Integer,Double> nodeAndScore = new Hashtable<Integer,Double>();
    Vector<Edge> edges = new Vector<Edge>();
    double[] cummulativeAnnomalies;
    
    
        
    double trueSize = 0.0, power = 0.0, score = 0.0;
    int areaID;
    //the central node of the area, defined as the grid cell wich minimizes the total great cycle distance
    //to all other cells in the area.
    int centerNode;
    
    double strength;
    
    double color = 0.0;
    
    public Area()
    {
    }

    public Area(int areaID)
    {
        this.areaID = areaID;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 79 * hash + this.areaID;
        return hash;
    }

    public boolean equals(Object o)
    {
        Area a = (Area)o;
        if(!(a instanceof Area))
            return false;
        else if(a.areaID == this.areaID)
            return true;
        else return false;
    }
    
    

}

